%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  NetInt
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Methods for Unweighted and Weighted Network Integration

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-mathjaxr 
Requires:         R-CRAN-mathjaxr 

%description
Implementation of network integration approaches comprising unweighted and
weighted integration methods. Unweighted integration is performed
considering the average, per-edge average, maximum and minimum of networks
edges. Weighted integration takes into account a weight for each network
during the fusion process, where the weights express the ''predictiveness
strength'' of each network considering a specific predictive task. Weights
can be learned using a machine learning algorithm able to associate the
weights to the assessment of the accuracy of the learning algorithm
trained on the network itself. The implemented methods can be applied to
effectively integrate different biological networks modelling a wide range
of problems in bioinformatics (e.g. disease gene prioritization, protein
function prediction, drug repurposing, clinical outcome prediction).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
